package com.neusoft.smart.pos.device.persistent.mapper;

import com.neusoft.smart.pos.device.persistent.domain.ConfigStrategy;
import com.neusoft.smart.pos.device.persistent.domain.ConfigStrategyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ConfigStrategyMapper {
	
	int countByExample(ConfigStrategyExample example);
	
	int deleteByExample(ConfigStrategyExample example);
	
	int deleteByPrimaryKey(Integer id);
	
	int insert(ConfigStrategy record);
	
	int insertSelective(ConfigStrategy record);
	
	List<ConfigStrategy> selectByExample(ConfigStrategyExample example);
	
	ConfigStrategy selectByPrimaryKey(Integer id);
	
	int updateByExampleSelective(@Param("record") ConfigStrategy record, @Param("example") ConfigStrategyExample example);
	
	int updateByExample(@Param("record") ConfigStrategy record, @Param("example") ConfigStrategyExample example);
	
	int updateByPrimaryKeySelective(ConfigStrategy record);
	
	int updateByPrimaryKey(ConfigStrategy record);
	
	void batchInsert(@Param("items") List<ConfigStrategy> items);
}